<?php 



//ini_set('display_errors',1);



session_start();

date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");

//ini_set('display_errors', 1);

/*

if($_POST['hdd_action']=='insertar'){

 foreach ( $_POST["chk_documento"] as $como ) { 

         

            echo $como; 

           

     }

}

*/

require_once ("../canjeproveedor/cCanjeproveedor.php");

$oCanjeproveedor = new cCanjeproveedor();

require_once("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();

require_once ("../documento/cDocumento.php");

$oDocumento= new cDocumento();

require_once ("../talonario/cTalonario.php");

$oTalonario= new cTalonario();

require_once("../formatos/formato.php");

require_once("../compra/cCompra.php");

$oCompra = new cCompra();

require_once("../compra/cComprapago.php");

$oComprapago = new cComprapago();



require_once("../egreso/cEgreso.php");

$oEgreso = new cEgreso();



require_once ("../historial/cHistorial.php");

$oHistorial = new cHistorial();







if($_POST['action']=='insertar'){

$mon_id=$_POST['cmb_canje_mon_id'];

$est=1;







$dts1=$oAlmacen->mostrarAlmCajEmp($_POST['hdd_emp_id']);

$dt1 = mysqli_fetch_array($dts1);

$emp=$dt1['tb_empresa_id'];

$punven_id=$dt1['tb_puntoventa_id'];

$piso_id=$dt1['tb_piso_id'];

$almid = $dt1['tb_almacen_id'];

$cajid = $dt1['tb_caja_id'];

mysqli_free_result($dts1);



$_POST['cmb_doc_id'] = 28;



$dts= $oDocumento->mostrarUno($_POST['cmb_doc_id']);

		$dt = mysqli_fetch_array($dts);

		$doc_nom=$dt['tb_documento_nom'];

		$doc_abr=$dt['tb_documento_abr'];

		mysqli_free_result($dts);

		

		

		if($doc_abr=='CP'){

		$ser = 'CP00'.$_SESSION['usuario_ser'];

		}

		

		$dts= $oTalonario->correlativo($_SESSION['puntoventa_id'],$_POST['cmb_doc_id'],$ser);

		$dt = mysqli_fetch_array($dts);

			$tal_id=$dt['tb_talonario_id'];

			$tal_ser=$dt['tb_talonario_ser'];

			$tal_fin=$dt['tb_talonario_fin'];

			$tal_num=$dt['tb_talonario_num'];

		mysqli_free_result($dts);

		$numero=$tal_num;

		$largo=strlen($tal_fin);

		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);

		$can_numdoc=$tal_ser.'-'.$numero;

		

$oCanjeproveedor->insertar_canje(

	fecha_mysql($_POST['txt_canje_fec']),

	$_POST['cmb_doc_id'],

	$can_numdoc,

	$_POST['hdd_emp_id'],

	$_POST['hdd_prov_id'],

	$_POST['txt_canje_aval'],

	$_POST['cmb_canje_mon_id'],

	$_POST['hdd_can_tot']

	);

	

	$dts=$oCanjeproveedor->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

	$canprov_id=$dt['id'];

    mysqli_free_result($dts);



	$estado='1';

	if($tal_num==$tal_fin)

	{

			$estado='2';

	}

	$numero=$tal_num+1;

	$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);	

		

		

foreach($_SESSION['canpag_mon'] as $indice=>$valor)

	{

 //$_SESSION['cancom_id'][$numdoc]; 

		if($mon_id ==1){

			$tipcam = '1.00';

		}else if($mon_id==2){

			$tipcam = '3.20';

		}

		$canest = 0;

		

	$oCompra->insertar(

			fecha_mysql($_POST['txt_canje_fec']), // fecha de compra

			//fecha_mysql($_POST['txt_com_fec_emi']), // fecha de compra

			'22', // documento de compra 	| factura | boleta

			$_SESSION['canpag_numlet'][$indice],// numero de documento

			$mon_id,// tipo de moneda 		|SOL | DOLAR

			'3.20',

			'3.20',

			$_POST['hdd_prov_id'], // id proveedor

			intval(moneda_mysql($_POST['txt_com_valven'])), // sub total

			intval(moneda_mysql($_POST['txt_com_des'])), 

			intval(moneda_mysql($_POST['txt_com_valven'])),   	// valor de la compra

			intval(moneda_mysql($_POST['txt_com_igv'])),   		// igv de la compra

			moneda_mysql($_SESSION['canpag_mon'][$indice]),   		// total de la compra

			$est, 

			$canest,			// estado 1REGISTRADA - 2CANCELADA

			$almid,   				// almacen de productos

			$_SESSION['usuario_id'],   					// USUARIO ID

			$emp, 						// EMPRESA ID

			$punven_id, 						// PUNTO VENTA ID

			$piso_id,			// PISO ID

			$_POST['cmb_per_mes'],

			$_POST['cmb_per_anio'],

			$_POST['txt_com_nroped'],

			$_POST['txt_com_nroordcom'],

			$_POST['txt_com_nroguia_e'],

			$_POST['txt_com_nroguia_t'],

			$_POST['txt_com_ref'],

			fecha_mysql($_POST['txt_canje_fec']),

			intval($_POST['txt_com_opeina']),

			intval($_POST['txt_com_opeexo']),

			intval($_POST['txt_com_opegra'])

			//$_POST['cmb_com_tippro']

		);

		$dts=$oCompra->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 		$com_id=$dt['id'];

 		mysqli_free_result($dts);

	

	        $fecha_hoy=$_SESSION['canpag_fecven'][$indice];

			list($day,$mon,$year) = explode('-',$fecha_hoy);

			$fecha8dias=date('d-m-Y',mktime(0,0,0,$mon,$day+8,$year));

	

			$oComprapago->insertar(

				intval($_POST['cmb_forpag_id']), //forma pago

				'0',	// modo pago

				moneda_mysql($_SESSION['canpag_mon'][$indice]),

				intval($cajid), // ID CAJA		

				intval($_SESSION['canpag_numdia'][$indice]), //num dias

				fecha_mysql($_SESSION['canpag_fecven'][$indice]), //fecha vencimento

				fecha_mysql($fecha8dias), 

				'2',

				$com_id	,

				$_SESSION['canpag_numunilet'][$indice],

				$_SESSION['canpag_ref'][$indice],

				$_SESSION['canpag_lugar'][$indice],

				$_POST['txt_canje_aval'],

				intval($ban),

				'0',

				'0',

				'0'

			);

	$dts=$oComprapago->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 		$compagid=$dt['id'];

 		mysqli_free_result($dts);

		

		$oCanjeproveedor->insertar_letra(

			$canprov_id,

			$compagid

		);

}





foreach($_SESSION['cancom_id'] as $compag_id){

	       

	     //  echo $_POST['hdd_prov_id'].' - '.$_POST['hdd_emp_id'].' - '.$comid;

	       

	        $dts1 = $oCanjeproveedor->mostrar_documento_proveedor($_POST['hdd_prov_id'],$_POST['hdd_emp_id'],$compag_id,'');

			$dt = mysqli_fetch_array($dts1);

			$fec	= mostrarFecha($dt['tb_compra_fec']);

			$numdoc	= $dt['tb_compra_numdoc'];

			$docnom = $dt['tb_documento_nom'];

			$tot = $dt['tb_compra_tot'];

			mysqli_free_result($dts1);

			

		$oCanjeproveedor->insertar_documento(

			$canprov_id,

			$compag_id

		);

	

		//$oComprapago->modificar_campo($compag_id,'est','3');

			

			$est = 3;			

			$oCanjeproveedor->modificar_comprapago($compag_id,$est);

			

			

			

			

			

			

        	

		}





		$user_agen = $_SERVER['HTTP_USER_AGENT'];

		$mod = 25;

		$mod_ide = $canprov_id;

		$det = 'CANJE DE LETRAS PROVEEDOR REGISTRADO [N°: '.$can_numdoc.']';

		$fec = date('Y-m-d');

		$doc_id = $_POST['cmb_doc_id'];

		$can_numdoc = $can_numdoc;

	 	$ip = mostrar_ip();

		

		$oHistorial->insertar(

		fecha_mysql($fec),

		$det,

		$ip,

		$_SESSION['usuario_id'],

		$mod,

		$mod_ide,

		$doc_id,

		$can_numdoc

		);

		

		

		$data['msj'] = 'CANJE DE LETRAS PROVEEDOR Nº '.$can_numdoc.' GENERADO CORRECTAMENTE';

echo json_encode($data);

}





if($_POST['action']=='agregarnumdoc'){

	echo $_POST['can_numdoc'].' - ';

	echo $_POST['compag_id']; 

	

	$_SESSION['can_numdoc'][$_POST['compag_id']] = $_POST['can_numdoc']; 

	$_SESSION['cancom_id'][$_POST['compag_id']] = $_POST['compag_id']; 

	

}

if($_POST['action']=='quitarnumdoc'){

	echo $_POST['can_numdoc'].' - ';

	echo $_POST['compag_id'].' - ';

	unset($_SESSION['can_numdoc'][$_POST['compag_id']]);

	unset($_SESSION['cancom_id'][$_POST['compag_id']]); 

	

	

}



if($_POST['action']=='restablecer'){

	unset($_SESSION['can_numdoc']);

	unset($_SESSION['cancom_id']);

	unset($_SESSION['compag_id']);

	unset($_SESSION['canpag_mon']);

	unset($_SESSION['canpag_numdia']);

	unset($_SESSION['canpag_numlet']);

	unset($_SESSION['canpag_fecven']);

	unset($_SESSION['canpag_ref']);

	unset($_SESSION['canpag_lugar']);

	unset($_SESSION['canpag_numunilet']);

	unset($_SESSION['canpag_fecemi']);

}







if($_POST['action']=='anular'){

	

	//echo $_POST['cajpro_id'].'--';

	

	$dts1 = $oCanjeproveedor->mostrar_filtro_documento($_POST['cajpro_id']);

			

	while($dt1 = mysqli_fetch_array($dts1))

	{

		//echo $dt1['compagid'].'--';

		$oCanjeproveedor->modificar_comprapago($dt1['compagid'],'2');

	}

	

	$dts1 = $oCanjeproveedor->mostrar_filtro_letra($_POST['cajpro_id']);

	while($dt = mysqli_fetch_array($dts1))

	{

	

	

	$oCompra->modificar_campo($dt['tb_compra_id'],'xac','0');

	

	$mod_id = 4;

	

	$rws1=$oEgreso->mostrar_por_modulo($mod_id,$dt['tb_comprapago_id'],$estado);

    while($rw1 = mysqli_fetch_array($rws1))

    {

		$oEgreso->modificar_campo($rw1['tb_egreso_id'],$_SESSION['usuario_id'],'xac','0');

		$det = $rw1['tb_egreso_det'];

		

		$det2 = $det.' | SUMA DE GASTOS';

		

		$oEgreso->modificar_campodetalle($det2,$_SESSION['usuario_id'],'xac','0');

      

    }

	

	}





$oCanjeproveedor->modificar_campo($_POST['cajpro_id'],2);



$data['msj'] = 'CANJE DE LETRAS RESTABLECIDO CORRECTAMENTE';

echo json_encode($data);

		

}









?>